Package org.jbpm.kie.services.impl

## Class DeployedUnitImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.DeployedUnitImpl

- All Implemented Interfaces:
    `DeployedUnit`

      public class DeployedUnitImpl
      extends Object
      implements DeployedUnit

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeployedUnitImpl​(DeploymentUnit unit)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAssetLocation​(String assetId, ProcessAssetDesc processAsset)` |
    `void` | `addClass​(Class<?> kModuleClass)` |
    `String` | `getDeployedAssetLocation​(String assetId)` | Returns the deployed asset location.
    `Collection<DeployedAsset>` | `getDeployedAssets()` | Returns the deployed assets.
    `Collection<Class<?>>` | `getDeployedClasses()` | Returns the deployed classes.
    `DeploymentUnit` | `getDeploymentUnit()` | Returns the deployed unit.
    `org.kie.api.runtime.manager.RuntimeManager` | `getRuntimeManager()` | Returns the runtime manager.
    `boolean` | `isActive()` | Returns the active state of the deployment unit.
    `void` | `setActive​(boolean active)` |
    `void` | `setRuntimeManager​(org.kie.api.runtime.manager.RuntimeManager manager)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeployedUnitImpl

          public DeployedUnitImpl​(DeploymentUnit unit)

  - ### Method Detail

    - #### getDeploymentUnit

          public DeploymentUnit getDeploymentUnit()

      Description copied from interface: `DeployedUnit`
      Returns the deployed unit.
      Specified by:
        `getDeploymentUnit` in interface `DeployedUnit`
      Returns:

    - #### getDeployedAssetLocation

          public String getDeployedAssetLocation​(String assetId)

      Description copied from interface: `DeployedUnit`
      Returns the deployed asset location.
      Specified by:
        `getDeployedAssetLocation` in interface `DeployedUnit`
      Returns:
        asset location

    - #### getRuntimeManager

          public org.kie.api.runtime.manager.RuntimeManager getRuntimeManager()

      Description copied from interface: `DeployedUnit`
      Returns the runtime manager.
      Specified by:
        `getRuntimeManager` in interface `DeployedUnit`
      Returns:

    - #### addAssetLocation

          public void addAssetLocation​(String assetId,
                                       ProcessAssetDesc processAsset)

    - #### addClass

          public void addClass​(Class<?> kModuleClass)

    - #### setRuntimeManager

          public void setRuntimeManager​(org.kie.api.runtime.manager.RuntimeManager manager)

    - #### getDeployedAssets

          public Collection<DeployedAsset> getDeployedAssets()

      Description copied from interface: `DeployedUnit`
      Returns the deployed assets.
      Specified by:
        `getDeployedAssets` in interface `DeployedUnit`
      Returns:

    - #### getDeployedClasses

          public Collection<Class<?>> getDeployedClasses()

      Description copied from interface: `DeployedUnit`
      Returns the deployed classes.
      Specified by:
        `getDeployedClasses` in interface `DeployedUnit`
      Returns:

    - #### isActive

          public boolean isActive()

      Description copied from interface: `DeployedUnit`
      Returns the active state of the deployment unit.
      Specified by:
        `isActive` in interface `DeployedUnit`
      Returns:
        active

    - #### setActive

          public void setActive​(boolean active)